void main ( void )
{
int &toldall;
int &s1;
int &s2;
int &s3;
int &s4;
int &hitted;
 int &talkme;
 &talkme = 0;
 &hitted = 0;
 int &tip;
 &tip = random(3,1);
sp_hitpoints(&current_sprite, 30);
 if (&tip == 1)
  {
  say("`5啦啦啦啦啦", &current_sprite);
  }
}

void talk( void )
{

freeze(1);
freeze(&current_sprite);
say_stop("`5丁克，你好啊。", &current_sprite);
say_stop("你好 Chealse ...", 1);
wait(250);
choice_start()
"和她调情"
"闲言碎语"
"关于 Milder FlatStomp"
(&old_womans_duck == 3)"告诉她Ethel的鸭鸭是你杀的。"
"没什么"
choice_end()
wait(300);
  if (&result == 1)
   {
    say_stop("美女，你还是单身吗？", 1);
    say_stop("我可是个好男人哦。", 1);
    wait(250);
    say_stop("`5一边去吧，小森林！！！", &current_sprite);
   }
  if (&result == 2)
   {
    say_stop("小镇里发生了什么事吗？", 1);
    wait(250);

crapper:

   if (&s1 != 0)
{
   if (&s2 != 0)
   {
   if (&s3 != 0)
     {
   if (&s4 != 0)
       {
        unfreeze(&current_sprite);
        unfreeze(1);
        say_stop("`5啊，好像没有，不好意思。",&current_sprite);
        return;
         }
      }
    }
    }
    if (&old_womans_duck == 3)
     {
      &tip = random(3,1);
      if (&tip == 1)
       {
       duck:
       say_stop("`5我跟你说，听说Ethel的鸭鸭被无情地杀害了。", &current_sprite);
       say_stop("`5现在我没多少情报，等有了再告诉你。", &current_sprite);
       say_stop("啊，那个，太惨了..额...", 1);
       wait(250);
       say_stop("... 我走了，再见。", 1);
        unfreeze(&current_sprite);
        unfreeze(1);

       return;
       }
     }
    if (&old_womans_duck == 5)
     {
      &tip = random(3,1);
      if (&tip == 1)
      {
      goto duck;
      }
     }


     &tip = random(4,1);
     Debug("Ok, tip is &tip.");
     if (&tip == 1)
      {
      if (&s1 == 1)
      goto crapper;
       say_stop("`5听说 SmileStein 一家最近很黄很暴力。", &current_sprite);
       say_stop("`5虽说 SmileStein先生是个农民中的楷模....", &current_sprite);
       wait(250);
       say_stop("你确定吗？那好像不太可能啊。", 1);
       wait(250);
       say_stop("`5当然有啊，那天我采花回来的时候", &current_sprite);
       say_stop("`5就听到Libby躲在她房里哭。", &current_sprite);
       wait(250);
       say_stop("Libby？ 太可恶了！", 1);
	   if (&gossip == 0)
	   {
		   &gossip = 1;

	   }
       &s1 = 1;
      }
     if (&tip == 2)
      {
      if (&s2 == 1)
      goto crapper;
       say_stop("`5Libby 和她的新男友的感情似乎不错啊。", &current_sprite);
       wait(250);
       say_stop("那个从PortTown来的人吗？", 1);
       say_stop("他看上去蛮横的样子", 1);
       wait(250);
       say_stop("`5是啊，不过她说了她非常喜欢他，当你认识他后", &current_sprite);
       say_stop("`5你会发现他其实很不错。", &current_sprite);
       &s2 = 1;
      }
     if (&tip == 3)
      {
      if (&s3 == 1)
      goto crapper;
       say_stop("`5我听说SmileStein先生农场上的那些怪物", &current_sprite);
       say_stop("`5让他好抓狂。听说他还准备", &current_sprite);
       say_stop("`5找个猎人来消灭它们呢。", &current_sprite);
       wait(250);
       say_stop("哇，这样子啊。", 1);
       wait(250);
       say_stop("`5嗯，大事啊..", &current_sprite);
       &s3 = 1;
      }
     if (&tip == 4)
      {
      if (&s4 == 1)
      goto crapper;

       say_stop("`5那天我去海边听说PortTown里的海盗", &current_sprite);
       say_stop("`5正在寻求帮助，要向北贸易公司宣战呢！", &current_sprite);
       say_stop("哇Chealse，这可真是大事件", 1);
       wait(250);
       say_stop("你又是怎么知道的？", 1);
       wait(250);
       say_stop("`5这个，我住在PorTown的大姐Aby告诉我的。", &current_sprite);
       &s4 = 1;
      }
   Debug("result is &result.");
   }
  if (&result == 3)
   {
    say_stop("那根大木头 Milder Flatstomp 最近在搞什么飞机？", 1);
    wait(250);
    say_stop("`5听说他报名参加了皇家护卫。", &current_sprite);
    say_stop("`5除了那个他也只是个大树桩，但我好像But besides that he's just a big oaf, but I", &current_sprite);
    say_stop("`5看到他好像在同时和Libby还有 Lyna 暖昧。", &current_sprite);
    wait(250);
    say_stop("可恶，一定是他那制服，我一定要加入！", 1);
   }
  if (&result == 4)
   {
    say_stop("Chealse，快来猜猜我有什么秘密情报要告诉你。", 1);
    wait(250);
    say_stop("`5真的有吗？什么情报啊？", &current_sprite);
    say_stop("这个嘛....", 1);
    wait(500);
    say_stop("ETHEL的鸭子是我杀掉的，啊哈哈哈哈哈！！！", 1);
    unfreeze(&current_sprite);
    say("`5不~~~~~~~~~~", &current_sprite);
    sp_timing(&current_sprite, 0);
    sp_speed(&current_sprite, 10);
   }
unfreeze(1);
unfreeze(&current_sprite);
}

void hit ( void )
{
    Debug("Ok, hitted is &hitted");
&hitted += 1;
Debug("now, hitted is &hitted");
  if (&hitted >= 3)
  {
    &hitted = 4;
    freeze(1);
    freeze(&current_sprite);
    say ("请，请不要伤害我了。我都听你的。",&current_sprite);
    wait(500);
    unfreeze(1);
    unfreeze(&current_sprite);
   }
  else
  {
 playsound(12, 22050, 0, 0, 0);
sp_timing(&current_sprite, 0);
sp_speed(&current_sprite, 4);
say("`5养猪的注意点！", &current_sprite);
wait(3000);
sp_timing(&current_sprite, 33);
sp_speed(&current_sprite, 1);
  }

}

void die ( void )
{
&little_girl = 2;
say("哼，叫你再到处人肉。", 1);
}


